Bug 34265 - Bugs in merge tool
Bugs in merge tool
Status: RESOLVED FIXED
Product: nblocalization
Classification: Unclassified
Component: Code
3.x
All All
: P2 (vote)
: 3.x
Assigned To: _ mihmax
issues@nblocalization
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 09:30 UTC by _ mihmax
Modified: 2003-06-20 16:27 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
A diff for all the bugs (5.00 KB, patch)
2003-06-19 22:19 UTC, _ mihmax
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description _ mihmax 2003-06-10 09:30:29 UTC
I found some bugs in merge tool and I'd like to
fix them. Keiichi and Teik, your comments are welcome.
Bugs:

1. If comment ends with \, then the next key=value
pair is not localized

2. If a string is big and is broken to multiple
lines, and contains "=" not on the first line, all
the text before "=" on a second (3rd, 4th, ...)
line is cut out:
KEY=Big value: \
  {:} = separator
--->
KEY=Big value: \
  separator

3. a line with some spaces is treated as meaningful.

4. a line with spaces before "#" is treated not as
a comment, but as a meaningful one.
Comment 1 _ mihmax 2003-06-19 15:31:15 UTC
Keiichi, Teik,
Need your advice.

Finally got time to do some debugging.

I already fixed 1, 3, 4 (very simple trimming), #2 is a bit harder. It
seems that Grep is not OK. Keiichi, Teik, have any idea why all the
text before "=" signs is deleted, not only on the first line of a
key=value pair?
Comment 2 _ mihmax 2003-06-19 22:19:30 UTC
Created attachment 10748 [details]
A diff for all the bugs
Comment 3 _ mihmax 2003-06-19 22:22:39 UTC
Keiichi, Teik, please look at this issue.
I'd like to hear the authors of t13s/tools _before_ I change your code.
Please see the diff. I'd like to put it in better sooner than never,
because I'll need to recheck/remerge all Russian l10n of 3.5 once
more. There are two many "hurrying" bugs there.

Maxym Mykhalchuk
Comment 4 Keiichi Oono 2003-06-20 08:58:25 UTC
Thank you very much for your fixing them, and sorry for my lack of
contribution. I've seen your diffs. Your all fixing is correct, and it
should be integrated.

Again, thank you.
Keiichi
Comment 5 _ mihmax 2003-06-20 16:27:31 UTC
Keiichi, do you know a person, using these tools? Can he/she  verify
if everything is OK on their system?

==
Checking in trunk: 
translatedfiles/tools/src/org/netbeans/modules/translatedfiles/tools/Merge.java;
 new revision: 1.3; previous revision: 1.2
translatedfiles/tools/src/org/netbeans/modules/translatedfiles/tools/Grep.java;
 new revision: 1.2; previous revision: 1.1
==
Checking in release35 branch:
translatedfiles/tools/src/org/netbeans/modules/translatedfiles/tools/Grep.java;
 new revision: 1.1.8.1; previous revision: 1.1
translatedfiles/tools/src/org/netbeans/modules/translatedfiles/tools/Merge.java;
 new revision: 1.1.8.2; previous revision: 1.1.8.1
==


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo